import React from 'react'
import { findContactsByPhone } from '../../ContactsRepository'
import ContactAutosuggest from './ContactAutosuggest'
import { ContactAutosuggestProps } from './types'

const ContactAutosuggestByPhone = (props: ContactAutosuggestProps) => {
  return (
    <ContactAutosuggest
      getSuggestions={findContactsByPhone}
      getSuggestionValue={(contact) => contact.phone}
      {...props}
    />
  )
}

export default ContactAutosuggestByPhone
